Page 1 of 3 123 LastLast
Results 1 to 10 of 26
Discuss Problems upgrading to firmware 2 at the iPhone "2G" (Rev. 1) - Hackint0sh.org; Hey people I've been having a lot of trouble trying to upgrade from firmware 1.0.2 ...
  1. #1
    Rookie Array bcj999's Avatar

    Join Date
    Mar 2009
    Posts
    10
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Unhappy Problems upgrading to firmware 2

    Hey people I've been having a lot of trouble trying to upgrade from firmware 1.0.2 to the latest that's out there.

    I tried to re-virginize the phone's baseband by attempting to download and install something called 'virginizer' from the App installer. So that way the newer firmware wouldn't lock me out of the phone function since it's been unlocked. However, every time i tried loading the App installer it would crash on me repeatedly.

    So what I decided to do was I reinstall my iphone with firmware 1.0.2 hoping the crashing from the App installer would stop. But it was no use and App installer continues to crash. I might as well not have even bothered reloading firmware 1.0.2

    Can anyone please help me out on this? Thank you

    Edited: We have a working solution for this problem now, see this post here: http://www.hackint0sh.org/forum/f136/68400.htm
    Last edited by volkspost; 03-19-2009 at 11:19 AM. Reason: Updated by volkspost - solution found



  2. #2
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    What version of installer are you using because if I remember correctly 1.0.2 only works with pre v2.63.
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  3. #3
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

  4. #4
    Rookie Array bcj999's Avatar

    Join Date
    Mar 2009
    Posts
    10
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by volkspost View Post
    In putty type
    cd /Applications/Installer.app/
    and hit return. Then type
    ./Installer
    and hit return. Installer will start on the iPhone. Let PuTTY run all the way, text will be scrolling on it.
    It will bring you to a screen in Installer and offer to upgrade to "Version 3.0". Do it, you have to.


    Every thing works fine up until this point. I do NOT get a box that appears asking me to upgrade to version 3.0

    If I'm understand this correctly I have to upgrade to 3.0 in order to install the 'BSD subsystem' and then finally will be able to install/run 'The Virginizer'.

    Will someone please help me on upgrading to 3.0 so that i can finally make my phone safe for my major upgrade (firmware 2.1)

    Thanks

  5. #5
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    As long as wifi is connected you should have got the message to upgrade to 3.0 but theres is a possability the upgrade isn't been offered because of how old that installer version is.

    If thats the case then I suppose you would need to get a copy & manually install it

    Hopefully volkspost will be here later & back me up on this one but mean time I will see if I can find a 3.0 version of installer in my files.

    n350z
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me


  6. #6
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by n350z View Post
    As long as wifi is connected you should have got the message to upgrade to 3.0 but theres is a possability the upgrade isn't been offered because of how old that installer version is.

    If thats the case then I suppose you would need to get a copy & manually install it

    Hopefully volkspost will be here later & back me up on this one but mean time I will see if I can find a 3.0 version of installer in my files.

    n350z

    Absolutely, thats correct. It should work - if not this update feature may fail now cause it is toooo old. If someone has an Installer.app 3.0 and would send it to you, you'd be able to copy/replace the one you have and continue then.

    Maybe someone will jump in who has Installer 3 working on his/her iphone.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  7. #7
    Administrator Array

    Join Date
    Oct 2007
    Posts
    4,145
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    It has been a while ... I'm not sure if installer 3.1 will do the job.
    anyway, go here: Installer.app Beta

    to get version 3.1 then use ssh/sftp/winscp to transfer it over to the phone
    ** If you just want to support hackint0sh.org with a donation click here **

  8. #8
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by dtube View Post
    It has been a while ... I'm not sure if installer 3.1 will do the job.
    anyway, go here: Installer.app Beta

    to get version 3.1 then use ssh/sftp/winscp to transfer it over to the phone
    Asfar as i know 3.0 is the last that works on 1.0.2, 3.1 was the one quitting - but I can be wrong, it's been sooooo long time ago. I'll dig a bit into my darddrives and check if I still have a version.

    v.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  9. #9
    Rookie Array bcj999's Avatar

    Join Date
    Mar 2009
    Posts
    10
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by volkspost View Post
    Asfar as i know 3.0 is the last that works on 1.0.2, 3.1 was the one quitting - but I can be wrong, it's been sooooo long time ago. I'll dig a bit into my darddrives and check if I still have a version.

    v.
    I really am VERY grateful you guys are helping me out on this. I've been working with this off and on for at least 2 months. If you're able to help get this fixed then i will definitely make a donation to this place.

    I'm curious about something though. If we're unable to find version 3.0, is there a way to copy & install BSD subsystem directly onto the phone? Because that seems to be my issue is that this older version of Installer isn't showing BSD subsystem. As soon as BSD is installed, then i can install/run Virginizer and then safely upgrade my firmware.

    Let me know if this is a good idea.

  10. #10
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by bcj999 View Post
    I'm curious about something though. If we're unable to find version 3.0, is there a way to copy & install BSD subsystem directly onto the phone? Because that seems to be my issue is that this older version of Installer isn't showing BSD subsystem. As soon as BSD is installed, then i can install/run Virginizer and then safely upgrade my firmware.
    So you dont have OpenSSH and BSD Subsystem on your iPhone at 1.0.2?
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2


 

 
Page 1 of 3 123 LastLast

Similar Threads

  1. problems upgrading to 4.0.1?
    By aparis99 in forum iPhone 3GS
    Replies: 7
    Last Post: 01-04-2011, 08:37 PM
  2. Problems after upgrading to 10.6.4
    By Matt140 in forum Installation
    Replies: 1
    Last Post: 10-01-2010, 05:18 PM
  3. Problems after upgrading to OSX 10.5.5
    By bjlm in forum Genuine Mac Support
    Replies: 3
    Last Post: 10-12-2008, 11:28 PM
  4. Replies: 0
    Last Post: 07-11-2008, 10:41 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 12:32 PM.
twitter, follow us!